### Function Macro

# GObject TYPE_FROM_CLASS

since: 2.0

#### Declaration

    #define G_TYPE_FROM_CLASS (
      g_class
    )

#### Description

Get the type identifier from a given `class` structure.

This macro should only be used in type implementations.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`g_class`

  Type: `-`

  Location of a valid `GTypeClass` structure.